html {
    width: 100%;
    height: 100%;
}

body {
    background-color: #222222;
    margin: 0;
    height: 100%;
    font-family: sans-serif;
}

.qs-blink {
    animation: blink 1s linear 0s infinite normal;
}

@keyframes blink {
    0% {
        opacity: 0;
    }

    49.9% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 1;
    }
}

.qs-hidden {
    opacity: 0;
}

.qs-box {
    color: white;
    border: solid 2px white;
    border-radius: 4px;
}

#qs-container {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#qs-status-box {
    width: 90%;
    max-width: 640px;
}

#qs-status-box table {
    border-collapse: collapse;
    width: 100%;
}

#qs-status-box table>tbody>tr.qs-name>th {
    border-bottom: solid 1px white;
}

#qs-status-box table>tbody>tr>th {
    width: 25%;
}

#qs-status-box .qs-hp td,
#qs-status-box .qs-mp td {
    padding: 0 10px;
}

#qs-status-box .qs-hp .qs-value,
#qs-status-box .qs-mp .qs-value {
    text-align: right;
}

#qs-monsters {
    width: 100%;
    padding-top: 20px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-end;
}

.qs-dark-lord {
    z-index: 0;
}

.qs-dark-knight {
    z-index: 1;
}

.qs-demon-priest {
    z-index: 1;
}

#qs-bottom {
    width: 100%;
}

#qs-message-box {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    width: 90%;
    max-width: 780px;
}

#qs-message-box>div:first-child {
    margin-bottom: auto;
}

#qs-message-box .qs-next-indicator {
    text-align: right;
}

#qs-selections {
    width: 90%;
    max-width: 800px;
    margin: 0 auto;
    display: none;
    flex-wrap: wrap;
    align-items: flex-start;
}

.qs-selection>.qs-title {
    text-align: center;
    font-weight: bold;
    border-bottom: solid 1px white;
}

.qs-selection ul {
    margin: 0;
    list-style-type: none;
}

.qs-selection button {
    color: white;
    border: none;
    background-color: transparent;
}

.qs-selection button:disabled {
    color: #888888;
}

#qs-fullscreen-effect {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 999;
    top: 0px;
    visibility: hidden;
}

@media (max-width: 360px) {
    #qs-container {
        font-size: 10px;
    }

    .qs-selection button {
        font-size: 10px;
        padding: 0 1px;
    }

    .qs-selection button img {
        width: 10px;
    }

    #qs-status-box {
        margin: 8px auto 0 auto;
    }

    #qs-bottom {
        height: 84px;
    }

    #qs-message-box {
        height: 59px;
        margin: 0 auto 17px auto;
        padding: 4px;
    }

    #qs-message-box .qs-next-indicator img {
        width: 10px;
    }

    #qs-selections {
        height: 84px;
    }

    .qs-selection>.qs-title {
        padding: 0 3px;
    }

    .qs-selection ul {
        padding: 3px;
    }

    .qs-dark-lord>img {
        width: 266px;
    }

    .qs-dark-knight>img {
        width: 100px;
        margin-right: -59px;
    }

    .qs-demon-priest>img {
        width: 100px;
        margin-left: -59px;
    }
}

@media (min-width: 360px) and (max-width: 540px) {
    #qs-container {
        font-size: 12px;
    }

    .qs-selection button {
        font-size: 12px;
        padding: 0 2px;
    }

    .qs-selection button img {
        width: 12px;
    }

    #qs-status-box {
        margin: 10px auto 0 auto;
    }

    #qs-bottom {
        height: 100px;
    }

    #qs-message-box {
        height: 70px;
        margin: 0 auto 18px auto;
        padding: 4px;
    }

    #qs-message-box .qs-next-indicator img {
        width: 12px;
    }

    #qs-selections {
        height: 100px;
    }

    .qs-selection>.qs-title {
        padding: 0 4px;
    }

    .qs-selection ul {
        padding: 4px;
    }

    .qs-dark-lord>img {
        width: 320px;
    }

    .qs-dark-knight>img {
        width: 120px;
        margin-right: -70px;
    }

    .qs-demon-priest>img {
        width: 120px;
        margin-left: -70px;
    }
}

@media (min-width: 540px) and (max-width: 720px) {
    #qs-container {
        font-size: 18px;
    }

    .qs-selection button {
        font-size: 18px;
        padding: 0 3px;
    }

    .qs-selection button img {
        width: 18px;
    }

    #qs-status-box {
        margin: 15px auto 0 auto;
    }

    #qs-bottom {
        height: 150px;
    }

    #qs-message-box {
        height: 105px;
        margin: 0 auto 29px auto;
        padding: 6px;
    }

    #qs-message-box .qs-next-indicator img {
        width: 18px;
    }

    #qs-selections {
        height: 150px;
    }

    #qs-monsters .qs-monster {
        visibility: hidden;
    }

    .qs-selection>.qs-title {
        padding: 0 6px;
    }

    .qs-selection ul {
        padding: 6px;
    }

    .qs-dark-lord>img {
        width: 480px;
    }

    .qs-dark-knight>img {
        width: 180px;
        margin-right: -105px;
    }

    .qs-demon-priest>img {
        width: 180px;
        margin-left: -105px;
    }
}

@media (min-width: 720px) {
    #qs-container {
        font-size: 24px;
    }

    .qs-selection button {
        font-size: 24px;
        padding: 0 4px;
    }

    .qs-selection button img {
        width: 24px;
    }

    #qs-status-box {
        margin: 20px auto 0 auto;
    }

    #qs-bottom {
        height: 200px;
    }

    #qs-message-box {
        height: 140px;
        margin: 0 auto 40px auto;
        padding: 8px;
    }

    #qs-message-box .qs-next-indicator img {
        width: 24px;
    }

    #qs-selections {
        height: 200px;
    }

    .qs-selection>.qs-title {
        padding: 0 8px;
    }

    .qs-selection ul {
        padding: 8px;
    }

    .qs-dark-lord>img {
        width: 640px;
    }

    .qs-dark-knight>img {
        width: 240px;
        margin-right: -140px;
    }

    .qs-demon-priest>img {
        width: 240px;
        margin-left: -140px;
    }
}

button:focus {
    outline: none;
}